All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.exceptionhighlighting
Interface ExceptionHighlightingOLAPRuleInterface

All Superinterfaces:
  ExceptionHighlightingRuleInterface

All Known Implementing Classes:
  ExceptionHighlightingOLAPRule

    public interface ExceptionHighlightingOLAPRuleInterface

extends ExceptionHighlightingRuleInterface

Represents an exception highlighting rule for olap

Since:
  3.1.4

Field Summary

Fields inherited from interface com.sas.dataselectors.exceptionhighlighting.ExceptionHighlightingRuleInterface
`LEFT, REPLACEMENT, RIGHT`

Method Summary
`java.lang.String` | `getApplyToSelectedIndex()` Gets what to apply rule to
`java.lang.String[]` | `getSelectedLevels()`
`void` | `setApplyToSelectedIndex(java.lang.String applyTo)` Sets what to apply rule to
`void` | `setSelectedLevels(java.lang.String[] selectedLevels)`

Methods inherited from interface com.sas.dataselectors.exceptionhighlighting.ExceptionHighlightingRuleInterface
`getAssignment, getCondition, getExpression, getFillColor, getFont, getFontColor, getFontSize, getId, getImage, getImageTextPosition, getLabel, getMaxValue, getMeasure, getMinValue, getOutlineColor, getText, getTextFont, getTextFontColor, getTextFontSize, getValue, isAddImage, isAddText, isBold, isItalic, isMaxValueUserDefined, isMeasure, isMinValueUserDefined, isTextBold, isTextItalic, isTextUnderline, isUnderline, isValueUserDefined, setAddImage, setAddText, setAssignment, setBold, setCondition, setFillColor, setFont, setFontColor, setFontSize, setId, setImage, setImageTextPosition, setIsMeasure, setItalic, setLabel, setMaxValue, setMaxValueUserDefined, setMeasure, setMinValue, setMinValueUserDefined, setOutlineColor, setText, setTextBold, setTextFont, setTextFontColor, setTextFontSize, setTextItalic, setTextUnderline, setUnderline, setValue, setValueUserDefined`

Method Detail

### getApplyToSelectedIndex

    java.lang.String getApplyToSelectedIndex()

  Gets what to apply rule to

  Returns:
    what to apply rule to

### setApplyToSelectedIndex

    void setApplyToSelectedIndex(java.lang.String applyTo)

  Sets what to apply rule to

  Parameters:
    `applyTo` - sets what to apply rule to

### getSelectedLevels

    java.lang.String[] getSelectedLevels()

### setSelectedLevels

    void setSelectedLevels(java.lang.String[] selectedLevels)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.